Assignments Assignments

Functions | Variables
main1.cpp File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <iostream>`
`#include "Image/bmp.h"`
`#include "Image/jpeg.h"`
`#include "Image/image.h"`
`#include "Util/cmdLineParser.h"`

## Functions
void | ShowUsage (const string &ex)
int | main (int argc, char *argv[])

## Variables
CmdLineParameter< string > | Input ("in")
CmdLineParameter< string > | Output ("out")
CmdLineParameterArray< string, 2 > | Composite ("composite")
CmdLineParameterArray< string, 3 > | BeierNeelyMorph ("bnMorph")
CmdLineParameterArray< int, 4 > | Crop ("crop")
CmdLineParameter< double > | Noisify ("noisify", 0.)
CmdLineParameter< double > | Brighten ("brighten", 1.)
CmdLineParameter< double > | Contrast ("contrast", 1.)
CmdLineParameter< double > | Saturate ("saturate", 1.)
CmdLineParameter< double > | ScaleNearest ("scaleNearest", 1.)
CmdLineParameter< double > | ScaleBilinear ("scaleBilinear", 1.)
CmdLineParameter< double > | ScaleGaussian ("scaleGaussian", 1.)
CmdLineParameter< double > | RotateNearest ("rotateNearest", 0.)
CmdLineParameter< double > | RotateBilinear ("rotateBilinear", 0.)
CmdLineParameter< double > | RotateGaussian ("rotateGaussian", 0.)
CmdLineParameter< int > | Quantize ("quantize", 8)
CmdLineParameter< int > | RandomDither ("rDither", 8)
CmdLineParameter< int > | OrderedDither2X2 ("oDither2x2", 8)
CmdLineParameter< int > | FloydSteinbergDither ("fsDither", 8)
CmdLineReadable | Gray ("gray")
CmdLineReadable | Blur3X3 ("blur3x3")
CmdLineReadable | Edges3X3 ("edges3x3")
CmdLineReadable | Fun ("fun")
CmdLineReadable * | params []

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

## ◆ ShowUsage()

void ShowUsage | ( | const string & | ex | ) |

## Variable Documentation

## ◆ BeierNeelyMorph

CmdLineParameterArray< string, 3 > BeierNeelyMorph("bnMorph") | ( | "bnMorph" |  | ) |

## ◆ Blur3X3

CmdLineReadable Blur3X3("blur3x3") | ( | "blur3x3" |  | ) |

## ◆ Brighten

CmdLineParameter< double > Brighten("brighten", 1.) | ( | "brighten" | ,
|  | 1. | )

## ◆ Composite

CmdLineParameterArray< string, 2 > Composite("composite") | ( | "composite" |  | ) |

## ◆ Contrast

CmdLineParameter< double > Contrast("contrast", 1.) | ( | "contrast" | ,
|  | 1. | )

## ◆ Crop

CmdLineParameterArray< int, 4 > Crop("crop") | ( | "crop" |  | ) |

## ◆ Edges3X3

CmdLineReadable Edges3X3("edges3x3") | ( | "edges3x3" |  | ) |

## ◆ FloydSteinbergDither

CmdLineParameter< int > FloydSteinbergDither("fsDither", 8) | ( | "fsDither" | ,
|  | 8 | )

## ◆ Fun

CmdLineReadable Fun("fun") | ( | "fun" |  | ) |

## ◆ Gray

CmdLineReadable Gray("gray") | ( | "gray" |  | ) |

## ◆ Input

CmdLineParameter< string > Input("in") | ( | "in" |  | ) |

## ◆ Noisify

CmdLineParameter< double > Noisify("noisify", 0.) | ( | "noisify" | ,
|  | 0. | )

## ◆ OrderedDither2X2

CmdLineParameter< int > OrderedDither2X2("oDither2x2", 8) | ( | "oDither2x2" | ,
|  | 8 | )

## ◆ Output

CmdLineParameter< string > Output("out") | ( | "out" |  | ) |

## ◆ params

CmdLineReadable* params[]

Initial value:
=
{
&Input , &Output , &Composite , &BeierNeelyMorph , &Crop , &Noisify , &Brighten , &Contrast , &Saturate ,
&ScaleNearest , &ScaleBilinear , &ScaleGaussian , &RotateNearest , &RotateBilinear , &RotateGaussian ,
&Quantize , &RandomDither , &OrderedDither2X2 , &FloydSteinbergDither , &Gray , &Blur3X3 , &Edges3X3 , &Fun ,
NULL
}
Contrast
CmdLineParameter< double > Contrast("contrast", 1.)
Crop
CmdLineParameterArray< int, 4 > Crop("crop")
Noisify
CmdLineParameter< double > Noisify("noisify", 0.)
RotateBilinear
CmdLineParameter< double > RotateBilinear("rotateBilinear", 0.)
RotateNearest
CmdLineParameter< double > RotateNearest("rotateNearest", 0.)
BeierNeelyMorph
CmdLineParameterArray< string, 3 > BeierNeelyMorph("bnMorph")
RandomDither
CmdLineParameter< int > RandomDither("rDither", 8)
Quantize
CmdLineParameter< int > Quantize("quantize", 8)
Saturate
CmdLineParameter< double > Saturate("saturate", 1.)
Composite
CmdLineParameterArray< string, 2 > Composite("composite")
OrderedDither2X2
CmdLineParameter< int > OrderedDither2X2("oDither2x2", 8)
ScaleNearest
CmdLineParameter< double > ScaleNearest("scaleNearest", 1.)
Brighten
CmdLineParameter< double > Brighten("brighten", 1.)
Output
CmdLineParameter< string > Output("out")
FloydSteinbergDither
CmdLineParameter< int > FloydSteinbergDither("fsDither", 8)
RotateGaussian
CmdLineParameter< double > RotateGaussian("rotateGaussian", 0.)
ScaleBilinear
CmdLineParameter< double > ScaleBilinear("scaleBilinear", 1.)
Input
CmdLineParameter< string > Input("in")
Edges3X3
CmdLineReadable Edges3X3("edges3x3")
Fun
CmdLineReadable Fun("fun")
Gray
CmdLineReadable Gray("gray")
ScaleGaussian
CmdLineParameter< double > ScaleGaussian("scaleGaussian", 1.)
Blur3X3
CmdLineReadable Blur3X3("blur3x3")

## ◆ Quantize

CmdLineParameter< int > Quantize("quantize", 8) | ( | "quantize" | ,
|  | 8 | )

## ◆ RandomDither

CmdLineParameter< int > RandomDither("rDither", 8) | ( | "rDither" | ,
|  | 8 | )

## ◆ RotateBilinear

CmdLineParameter< double > RotateBilinear("rotateBilinear", 0.) | ( | "rotateBilinear" | ,
|  | 0. | )

## ◆ RotateGaussian

CmdLineParameter< double > RotateGaussian("rotateGaussian", 0.) | ( | "rotateGaussian" | ,
|  | 0. | )

## ◆ RotateNearest

CmdLineParameter< double > RotateNearest("rotateNearest", 0.) | ( | "rotateNearest" | ,
|  | 0. | )

## ◆ Saturate

CmdLineParameter< double > Saturate("saturate", 1.) | ( | "saturate" | ,
|  | 1. | )

## ◆ ScaleBilinear

CmdLineParameter< double > ScaleBilinear("scaleBilinear", 1.) | ( | "scaleBilinear" | ,
|  | 1. | )

## ◆ ScaleGaussian

CmdLineParameter< double > ScaleGaussian("scaleGaussian", 1.) | ( | "scaleGaussian" | ,
|  | 1. | )

## ◆ ScaleNearest

CmdLineParameter< double > ScaleNearest("scaleNearest", 1.) | ( | "scaleNearest" | ,
|  | 1. | )